package com.example.modular.global.common;

/**
 * Service responsible for generating randomly chosen time zone id.
 * 
 * @author Krzysztof Smigielski
 */
public interface RandomTzService {

    /**
     * Gets randomly chosen time zone id.
     * 
     * @return time zone id.
     */
    String getRandomTimeZoneId();

}
