package com.example.modular.global.components;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

import com.example.modular.warsaw.components.TimeZoneLink;

/**
 * User chosen time zone panel.
 * 
 * @author Krzysztof Smigielski
 */
public class UserTzPanel extends Panel {

    private static final long serialVersionUID = -8638379149025754809L;

    private TimeZoneLink tzLink;
    
    /**
     * Default constructor.
     * 
     * @param pWicketId Wicket component id.
     */
    public UserTzPanel(String pWicketId) {
        super(pWicketId);
        add(new Label("header", "User time zone page"));
        tzLink = new TimeZoneLink("tzLink", "Europe/London");
        add(tzLink);
    }

}
