package com.example.modular.global.pages;

import org.wicketstuff.annotation.mount.MountPath;

import com.example.modular.global.components.AvailableTZonesPanel;
import com.example.modular.warsaw.pages.BasePage;

/**
 * Available time zones page. This page is mounted using 'all' as path.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "all")
public class AvailableTZonesPage extends BasePage {

    /**
     * Default constructor. Adds available time zones panel to the page.
     */
    public AvailableTZonesPage() {
        add(new AvailableTZonesPanel("panel"));
    }

}
