package com.example.modular.global.pages;

import org.wicketstuff.annotation.mount.MountPath;

import com.example.modular.global.components.LondonPanel;
import com.example.modular.warsaw.pages.BasePage;

/**
 * London time zone page. This page is mounted using 'london' as path.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "london")
public class LondonPage extends BasePage {

    /**
     * Default constructor. Adds London panel to the page.
     */
    public LondonPage() {
        add(new LondonPanel("panel"));
    }

}
