package com.example.modular.global.pages;

import org.wicketstuff.annotation.mount.MountPath;

import com.example.modular.global.components.RandomTzPanel;
import com.example.modular.warsaw.pages.BasePage;

/**
 * Random time zone page. This page is mounted using 'random' as path.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "random")
public class RandomTzPage extends BasePage {

    /**
     * Default constructor. Adds Random time zone panel to the page.
     */
    public RandomTzPage() {
        add(new RandomTzPanel("panel"));
    }

}
