package com.example.modular.global.pages;

import org.wicketstuff.annotation.mount.MountPath;

import com.example.modular.global.components.TokyoPanel;
import com.example.modular.warsaw.pages.BasePage;

/**
 * Tokyo time zone page. This page is mounted using 'tokyo' as path.
 * 
 * @author Krzysztof Smigielski
 */
@MountPath(path = "tokyo")
public class TokyoPage extends BasePage {

    /**
     * Default constructor. Adds Tokyo panel to the page.
     */
    public TokyoPage() {
        add(new TokyoPanel("panel"));
    }

}
