package com.example.modular.global.service;

import java.util.Random;
import java.util.TimeZone;

import org.springframework.stereotype.Service;

import com.example.modular.global.common.RandomTzService;

/**
 * Random time zone service implementation.
 * 
 * @author Krzysztof Smigielski
 */
@Service
public class RandomTzServiceImpl implements RandomTzService {

    public String getRandomTimeZoneId() {
        Random rng = new Random(System.currentTimeMillis());
        String[] timeZoneIds = TimeZone.getAvailableIDs();
        return timeZoneIds[rng.nextInt(timeZoneIds.length)];
    }

}
