package com.example.modular.warsaw.pages;

import org.apache.wicket.markup.html.WebPage;

import com.example.modular.global.components.NavigationPanel;

/**
 * Modified base page for all Modular Wicket Warsaw based project pages.
 * 
 * Important: this class overrides BasePage defined in Warsaw project.
 * 
 * @author Krzysztof Smigielski
 */
public abstract class BasePage extends WebPage {

    /**
     * Default constructor. Adds navigation panel to the page.
     */
    public BasePage() {
        add(new NavigationPanel("navigation"));
    }

}
