package com.example.modular.global.components;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

import com.example.modular.warsaw.components.TimeZoneLink;

/**
 * London time zone panel.
 * 
 * @author Krzysztof Smigielski
 */
public class LondonPanel extends Panel {

    private static final long serialVersionUID = -6790664465595859698L;

    /**
     * Default constructor.
     * 
     * @param pWicketId Wicket component id.
     */
    public LondonPanel(String pWicketId) {
        super(pWicketId);
        add(new Label("header", "London time zone page"));
        add(new TimeZoneLink("tzLink", "Europe/London"));
    }

}
