package com.example.modular.global.components;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;

import com.example.modular.warsaw.components.TimeZoneLink;

/**
 * Tokyo time zone panel.
 * 
 * @author Krzysztof Smigielski
 */
public class TokyoPanel extends Panel {

    private static final long serialVersionUID = -6790664465595859698L;

    /**
     * Default constructor.
     * 
     * @param pWicketId
     */
    public TokyoPanel(String pWicketId) {
        super(pWicketId);
        add(new Label("header", "Tokyo time zone page"));
        add(new TimeZoneLink("tzLink", "Asia/Tokyo"));
    }

}
