package com.example.modular.global.pages;

import com.example.modular.BaseTestCase;
import com.example.modular.warsaw.pages.HomePage;

/**
 * Simple home page test.
 * 
 * It is important that {@link BaseTestCase} class is defined in Warsaw project,
 * so we don't have to repeat the whole test setup logic here. 
 * 
 * This is only example of how to write tests in Warsaw-derived projects. For more
 * test examples refer to the Warasw project test suite. 
 * 
 * @author Krzysztof Smigielski
 */
public class HomePageTest extends BaseTestCase {

    public void testRenderHomePage() {
        // start and render the test page
        tester.startPage(HomePage.class);

        // assert rendered page class
        tester.assertRenderedPage(HomePage.class);
    }

}
